View Issue Details

IDProjectCategoryView StatusLast Update
0006147MediaMonkey 5Main Panel/Toolbars/Menuspublic2017-01-16 02:31
Reporterpeke 
PrioritynoneSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0006147: Add/Rescan: Can't add only subfolder if there is only one
DescriptionIf there is only one subfolder, parent folder is also added.

http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=44105
TagsNo tags attached.
Fixed in build2026

Relationships

related to 0000827 assignedrusty MediaMonkey (current) Add folders logic is flawed: cannot add directory without subdir OR subdir without parent 
related to 0006853 closedrusty MediaMonkey (current) 1304 Add/Rescan uncheck only child folder does parent [----] 

Activities

Ludek

2009-11-06 13:22

developer   ~0019600

Last edited: 2009-11-06 13:30

Yes, this is long-standing behaviour consistent with the rest of MM (device configuration music tree, the tree on burn wizard etc.)

i.e. if there is only one subfolder then parent folder is also checked

If we decide to change this behaviour we could fix it also for another unavailable state: to check only content of the parent folder and no children (subfolders), but this could be rather undesirable and maybe contra-logical.

Ludek

2009-11-25 21:03

developer   ~0019774

Last edited: 2009-11-26 11:59

I think that the most reasonable (and user expected) way would be in the scenario:

[ ] A
  [ ] B1
  ....
  [ ] B10

- checking A also checks all B1..B10 (like current behaviour)
- unchecking B1..B10 _doesn't_ uncheck A (unlike current behaviour)

this way anyone can check every folder exclusively

Ludek

2016-07-14 13:08

developer   ~0045155

Already fixed in MM5 as #13413

peke

2017-01-16 02:31

developer   ~0046976

Verified 2058